//
//  FavRouter.swift
//  UpaxMovie
//
//  Created Imo on 01/03/24.
//  Copyright © 2024 ___ORGANIZATIONNAME___. All rights reserved.
//
//  Template generated by UPAX Zeus
//

import UIKit

class FavRouter: FavWireframeProtocol {
    weak var viewController: UIViewController?

    static func createModule() -> UIViewController {
        let view = FavViewController()
        let interactor = FavInteractor()
        let router = FavRouter()
        let presenter = FavPresenter(interface: view, interactor: interactor, router: router)

        view.presenter = presenter
        interactor.presenter = presenter
        router.viewController = view

        return view
    }
    
    func close() {
        viewController?.dismiss(animated: true)
    }
}
